Module
Contents
Index 🔎︎

# TypeName Function; VarType Function

Returns a string (TypeName) or a numeric value (VarType) that contains information for a variable.

## Syntax:

    TypeName (Variable) / VarType (Variable)

## Return value:

String; Integer

## Parameters:

Variable: The variable that you want to determine the type of. You can use the following values:

key word | Named constant | VarType | Variable type
Boolean |  | 11 | Boolean variable
Date | V_DATE | 7 | Date variable
Currency | V_CURRENCY | 6 | Currency variable
Double | V_DOUBLE | 5 | Double floating point variable
Integer | V_INTEGER | 2 | Integer variable
Long | V_LONG | 3 | Long integer variable
Object |  | 9 | Object variable
Single | V_SINGLE | 4 | Single floating-point variable
String | V_STRING | 8 | String variable
Variant |  | 12 | Variant variable (can contain all types specified by the definition)
Empty | V_EMPTY | 0 | Variable is not initialised
Null | V_NULL | 1 | No valid data

## Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleType

    Dim iVar As Integer

    Dim sVar As String

    Dim siVar As Single

    Dim dVar As Double

    Dim bVar As Boolean

    Dim lVar As Long

    Dim cVar as Currency

    Dim tVar as Date

     MsgBox TypeName(iVar) & " " & VarType(iVar) & Chr(13) &_

     TypeName(sVar) & " " & VarType(sVar) & Chr(13) &_

     TypeName(siVar) & " " & VarType(siVar) & Chr(13) &_

     TypeName(dVar) & " " & VarType(dVar) & Chr(13) &_

     TypeName(bVar) & " " & VarType(bVar) & Chr(13) &_

     TypeName(cVar) & " " & VarType(cVar) & Chr(13) &_

     TypeName(tVar) & " " & VarType(tVar) & Chr(13) &_

     TypeName(lVar) & " " & VarType(lVar),0,"Some types in LibreOffice Basic"

    End Sub